Request a subaccount

Submit a request for a new subaccount under your account. TBMC reviews each request and provisions subaccounts manually.

Body
required
application/json
  • consoleOperatorEmail
    Type: string
    max length:  
    254
    Format: email
    required
  • name
    Type: string
    min length:  
    1
    max length:  
    120
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/api/v1/subaccount-requests
curl https://api.bettermoney.com/api/v1/subaccount-requests \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "",
  "consoleOperatorEmail": ""
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "string",
  "consoleOperatorEmail": "hello@example.com",
  "status": "PENDING",
  "createdAccountId": null,
  "createdAt": "2026-08-21T21:35:19.566Z",
  "resolvedAt": null
}